Bug 549252 - [abrt] crash in setroubleshoot-server-2.2.50-1.fc12
Summary: [abrt] crash in setroubleshoot-server-2.2.50-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:43bd0a8a
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-21 03:52 UTC by Claudiomar Rodrigues
Modified: 2010-02-23 10:45 UTC (History)
8 users (show)

Fixed In Version: 2.2.60-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-29 03:33:12 UTC


Attachments (Terms of Use)
File: backtrace (1.96 KB, text/plain)
2009-12-21 03:52 UTC, Claudiomar Rodrigues
no flags Details

Description Claudiomar Rodrigues 2009-12-21 03:52:43 UTC
abrt 1.0.1 detected a crash.

backtrace
-----
Summary: TB43bd0a8a xmlrpclib.py:1243:request:ProtocolError: <ProtocolError for bugzilla.redhat.com/xmlrpc.cgi: 403 Forbidden>

Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py", line 122, in submit_button_clicked
    self.submit()
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py", line 165, in submit
    cred = withBugzillaDo(filer, lambda b: b.login(username, password))
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py", line 146, in withBugzillaDo
    retval = fn(bz)
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/browser.py", line 165, in <lambda>
    cred = withBugzillaDo(filer, lambda b: b.login(username, password))
  File "/usr/lib64/python2.6/site-packages/setroubleshoot/filer.py", line 340, in login
    self._bz = bugzilla.Bugzilla(url=self.bugUrl)
  File "/usr/lib/python2.6/site-packages/bugzilla/__init__.py", line 69, in __init__
    c = getBugzillaClassForURL(kwargs['url'])
  File "/usr/lib/python2.6/site-packages/bugzilla/__init__.py", line 32, in getBugzillaClassForURL
    prodinfo = s.bugzilla.getProdInfo()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1243, in request
    headers
ProtocolError: <ProtocolError for bugzilla.redhat.com/xmlrpc.cgi: 403 Forbidden>

Local variables in innermost frame:
verbose: 0
request_body: <?xml version='1.0'?>
<methodCall>
<methodName>bugzilla.getProdInfo</methodName>
<params>
</params>
</methodCall>

h: <httplib.HTTPS instance at 0x34ecd88>
self: <xmlrpclib.SafeTransport instance at 0x34eccb0>
errcode: 403
headers: Date: Sat, 19 Dec 2009 02:07:33 GMT
Server: Apache
Content-Length: 282
Connection: close
Content-Type: text/html; charset=iso-8859-1

host: bugzilla.redhat.com
handler: /xmlrpc.cgi
errmsg: Forbidden

cmdline: /usr/bin/python -E /usr/bin/sealert -s 
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.31.6-166.fc12.x86_64
package: setroubleshoot-server-2.2.50-1.fc12
uuid: 43bd0a8a

Comment 1 Claudiomar Rodrigues 2009-12-21 03:52:46 UTC
Created attachment 379548 [details]
File: backtrace

Comment 2 Daniel Walsh 2009-12-21 16:29:34 UTC
Fixed in setroubleshoot-server-2.2.54-1.fc12

Comment 3 Fedora Update System 2010-01-21 00:04:36 UTC
setroubleshoot-2.2.58-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0815

Comment 4 Fedora Update System 2010-01-29 03:32:10 UTC
setroubleshoot-2.2.60-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.